
D4Science Infrastructure - Task #9102

Upgrade Couchbase Production Cluster

Jun 29, 2017 11:55 AM - Luca Frosini

Status: Closed Start date: Jun 29, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: Upgrade CouchBase to Version 4.5.1    

Infrastructure: Production   

Description

History

#1 - Jul 05, 2017 12:00 PM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 10

Added

couchbase06.d4science.org  couchbase version 4.5.1

removed

couchbase06-d4s.d4science.org couchbase version 4.0.0

migration started 2017/07/05 12:00

#2 - Jul 05, 2017 07:22 PM - Tommaso Piccioli

after many manual rebalance the first node finished the migration succesfully, 2017/07/05 19:20

couchbase06-d4s.d4science.org is no more in the production cluster

#3 - Jul 06, 2017 09:00 AM - Tommaso Piccioli

- % Done changed from 10 to 20

Added

couchbase05.d4science.org couchbase version 4.5.1

removed

couchbase05-d4s.d4science.org couchbase version 4.0.0

migration started 2017/07/06 9:26

#4 - Jul 06, 2017 08:27 PM - Tommaso Piccioli

Rebalance completed successfully

couchbase05-d4s.d4science.org is out of cluster now

#5 - Jul 07, 2017 10:35 AM - Tommaso Piccioli

- % Done changed from 20 to 30

couchbase04.d4science.org with couchbase version 4.5.1 IN

146.48.122.3 (couchbase04-d4s.d4science.org) OUT

migration swap rebalance started at 10:31

#6 - Jul 07, 2017 07:35 PM - Pasquale Pagano

- Tracker changed from Support to Task

#7 - Jul 07, 2017 08:22 PM - Tommaso Piccioli

Rebalance completed successfully
146.48.122.3 (couchbase04-d4s.d4science.org) is out of cluster now

#8 - Jul 11, 2017 09:47 AM - Tommaso Piccioli

- % Done changed from 30 to 40

Added

couchbase01.d4science.org couchbase version 4.5.1

removed

couchbase01-d4s.d4science.org couchbase version 4.0.0

migration started 2017/07/11 9:45

#9 - Jul 11, 2017 09:58 AM - Roberto Cirillo

Please, @tommaso.piccioli@isti.cnr.it remember me when I have to edit the ServiceEndpoint resource for inserting the new couchbase01 node

#10 - Jul 11, 2017 12:42 PM - Tommaso Piccioli

- % Done changed from 40 to 50

couchbase01-d4s.d4science.org migrated to couchbase01.d4science.org

#11 - Jul 11, 2017 01:24 PM - Tommaso Piccioli

- % Done changed from 50 to 60

Added

couchbase02.d4science.org couchbase version 4.5.1

removed

couchbase02-d4s.d4science.org couchbase version 4.0.0

migration started 2017/07/11 13:23

#12 - Jul 11, 2017 04:54 PM - Tommaso Piccioli

couchbase02-d4s.d4science.org migrated to couchbase02.d4science.org

#13 - Jul 11, 2017 05:43 PM - Tommaso Piccioli

- % Done changed from 60 to 70

Added

couchbase03.d4science.org couchbase version 4.5.1

removed

couchbase03-d4s.d4science.org couchbase version 4.0.0

migration started 2017/07/11 17:03

#14 - Jul 12, 2017 05:18 PM - Tommaso Piccioli

Rebalance completed successfully

couchbase03-d4s.d4science.org is out of cluster

Added

couchbase08.d4science.org couchbase version 4.5.1

removed

couchbase08-d4s.d4science.org couchbase version 4.0.0

migration started 2017/07/12 11:00

#15 - Jul 12, 2017 05:19 PM - Tommaso Piccioli

- % Done changed from 70 to 90

Rebalance completed successfully

couchbase08-d4s.d4science.org is out of cluster

Added

couchbase07.d4science.org couchbase version 4.5.1
removed

couchbase07-d4s.d4science.org couchbase version 4.0.0

migration started 2017/07/12 17:10

#16 - Jul 12, 2017 11:18 PM - Tommaso Piccioli

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

The End!

New cluster couchbase version 4.5.1

couchbase01.d4science.org

couchbase02.d4science.org

couchbase03.d4science.org

couchbase04.d4science.org

couchbase05.d4science.org

couchbase06.d4science.org

couchbase07.d4science.org

couchbase08.d4science.org

Powered by TCPDF (www.tcpdf.org)

Dec 15, 2025 3/3

http://www.tcpdf.org

